Bug 1688980 - Review Request: golang-uber-atomic - Wrapper types for sync/atomic which enforce atomic access
Summary: Review Request: golang-uber-atomic - Wrapper types for sync/atomic which enfo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1688983 golang-uber-zap
TreeView+ depends on / blocked
 
Reported: 2019-03-14 20:11 UTC by Robert-André Mauchin
Modified: 2019-04-13 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 00:03:46 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-03-14 20:11:37 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-uber-atomic.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-uber-atomic-1.3.2-1.fc31.src.rpm

Description:
 Simple wrappers for primitive types to enforce atomic access.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-03-14 20:17:16 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33494070

Comment 2 Elliott Sales de Andrade 2019-03-15 08:28:30 UTC
The Changelog is for the wrong version. Please fix before importing.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Expat License", "Expat License", "Unknown or
     generated". 8 files have unknown license. Detailed output of
     licensecheck in 1688980-golang-uber-atomic/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-uber-atomic-devel-1.3.2-1.fc30.noarch.rpm
          golang-uber-atomic-1.3.2-1.fc30.src.rpm
golang-uber-atomic-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/go.uber.org/atomic/.goipath
golang-uber-atomic.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
golang-uber-atomic-devel.noarch: W: invalid-url URL: https://github.com/uber-go/atomic <urlopen error [Errno -2] Name or service not known>
golang-uber-atomic-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/go.uber.org/atomic/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
golang-uber-atomic-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-uber-atomic-devel:
    golang(go.uber.org/atomic)
    golang-ipath(go.uber.org/atomic)
    golang-uber-atomic-devel



Source checksums
----------------
https://github.com/uber-go/atomic/archive/v1.3.2.tar.gz#/atomic-1.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : ee2ec763758d8ab2095ee927086a1ed057212fa27660614448d4bbcbdc4ffe61
  CHECKSUM(SHA256) upstream package : ee2ec763758d8ab2095ee927086a1ed057212fa27660614448d4bbcbdc4ffe61


Generated by fedora-review 0.6.1 (29df316) last change: 2019-03-10
Command line :/home/elliott/code/FedoraReview/try-fedora-review -m fedora-rawhide-x86_64 -b 1688980
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, BATCH, EPEL7, EPEL6

Comment 3 Gwyn Ciesla 2019-03-18 14:08:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-uber-atomic

Comment 4 Fedora Update System 2019-03-25 15:24:01 UTC
golang-uber-atomic-1.3.2-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef7d9a9066

Comment 5 Fedora Update System 2019-03-25 15:32:43 UTC
golang-uber-atomic-1.3.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecdd3be635

Comment 6 Fedora Update System 2019-03-25 18:54:45 UTC
golang-uber-atomic-1.3.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ef7d9a9066

Comment 7 Fedora Update System 2019-03-27 04:34:07 UTC
golang-uber-atomic-1.3.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ecdd3be635

Comment 8 Fedora Update System 2019-03-31 00:03:46 UTC
golang-uber-atomic-1.3.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-13 06:31:49 UTC
golang-uber-atomic-1.3.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-13 15:31:41 UTC
golang-uber-atomic-1.3.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.